1
jank74
2.3 and news 1.61
  • 2008/7/16 12:37

  • jank74

  • Just popping in

  • Posts: 8

  • Since: 2008/7/15


i like 2.3 , and i like the articles module and the forums wich contain the WYSIWYG editors

my question is when i use news 1.61 the editors did not work , even changing that from the admin area, all choices give me a submit without text area

i tried to use the hack of tinyeditor to make it the default editor instead of the normal one

by editing formdhtmltextarea.php
and change the line
74

var $htmlEditor = array();


with this one

var $htmlEditor = array('XoopsFormTinyeditorTextArea''/class/xoopseditor/tinyeditor/formtinyeditortextarea.php');


even that did not help and not working

so any advice?

for the news module ?

2
Mamba
Re: 2.3 and news 1.61
  • 2008/7/16 16:41

  • Mamba

  • Moderator

  • Posts: 11245

  • Since: 2004/4/23


What PHP version are you using? Just copy and paste the info from the Admin area (if you use the default Admin theme)
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

3
Anonymous
Re: 2.3 and news 1.61
  • 2008/7/16 19:09

  • Anonymous

  • Posts: 0

  • Since:


Unless something has changed in the recent News module releases (which I haven't had time to upgrade to yet!), the News module is one of those that looks for the enhanced editors in:

xoops_root/class/wysiwyg/

rather than the standard install of:

xoops_root/class/xoopseditor/

This FAQ refers

4
Tazman_al
Re: 2.3 and news 1.61
  • 2008/7/16 22:21

  • Tazman_al

  • Just popping in

  • Posts: 66

  • Since: 2008/7/3 1


I use tinyeditor and news 1.61 on (at the moment) one of my sites.
The tinyeditor is installed under xoops_root/class/xoopseditor/tinyeditor.

All I needed to do was just select 'tinyeditor' from the dropdown list in the preferences of news!!

Everything works great.
(I'm using PHP 5.2.6)
Al

5
jank74
Re: 2.3 and news 1.61
  • 2008/7/17 8:56

  • jank74

  • Just popping in

  • Posts: 8

  • Since: 2008/7/15


part 1

i am using XOOPS 2.3 and i had installed the add on package
but when i chose any editor in the news 1.61 it is not working " the text area disappeared"

the only way to have editor WYSIWYG is to install tinyeditor as a seperat module and select it from the preferance in news

but i want to have editor wich allow me to upload photos in my news

part 2

the code i wrote above for the versions 2.016 and 17,18
that code will change the simple editor with tinyeditor as a default editor

so why that code is not working on 2.3 ?

6
Anonymous
Re: 2.3 and news 1.61
  • 2008/7/17 9:31

  • Anonymous

  • Posts: 0

  • Since:


Quote:
jank74 wrote:

but i want to have editor wich allow me to upload photos in my news


Koivi editor is integrated with the XOOPS imagemanager and works well in this regard.

If you want to try Koivi then drop me a PM with your email address and I'll send it to you.

7
ghia
Re: 2.3 and news 1.61
  • 2008/8/27 8:02

  • ghia

  • Community Support Member

  • Posts: 4953

  • Since: 2008/7/3 1


I got Koivi working, you may read this.

8
instantzero
Re: 2.3 and news 1.61

As reported here (see near the last comments) :
https://xoops.org/modules/news/article.php?storyid=4349

There is (was) a problem in XOOPS with the class in charge of the editors.
It must be corrected in the new release candidate (of Xoops) that will be soon released.

After this, I will modify our modules.

Login

Username:
Password:

Lost Password? Register now!

Who's Online

52 user(s) are online (32 user(s) are browsing Support Forums)


Members: 0


Guests: 52


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: May 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits